CounterpartyCreatedOrUpdated

Callback received each time a Counterparty is created or updated

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

the location where data will be sent. Must be network accessible by the source server

Body Params

JSON Body

string

The callback type

string

Counterparty identifier

string

ThirdParty user identifier (appUserId) associated with the Counterparty

string

Counterparty type: Person or LegalEntity

string

Counterparty display label

string

IBAN associated with the Counterparty

string

BIC associated with the Counterparty

string

Currency associated with the Counterparty bank account

status
object

Counterparty status

scopes
array of strings

List of scopes associated with the Counterparty

scopes
person
object

Person information when counterpartyType is Person

legalEntity
object

Legal entity information when counterpartyType is LegalEntity

address
object

Counterparty address

contact
object

Counterparty contact information

string

Counterparty creation date in Xpollens system

string

Counterparty last modification date in Xpollens system

Headers
string
required

Uuid of the sent callback

string
required

Callback Send date

Responses
202

Your server implementation should return this HTTP status code
if the data was received successfully

204

Your server should return this HTTP status code if no longer interested
in further updates

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!